
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineSystem.cmake:211 (message)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      The system is: Linux - 6.8.4-200.fc39.x86_64 - x86_64
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /home/shlomif/bin/cc 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is GNU, found in:
        /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/3.27.7/CompilerIdC/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler: /home/shlomif/bin/c++ 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"
      
      The CXX compiler identification is GNU, found in:
        /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/3.27.7/CompilerIdCXX/a.out
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz"
    cmakeVariables:
      CMAKE_C_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_f7126/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_f7126.dir/build.make CMakeFiles/cmTC_f7126.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz'
        Building C object CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o
        /home/shlomif/bin/cc   -v -o CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/'
         /usr/libexec/gcc/x86_64-redhat-linux/13/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_1a126.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -o /tmp/ccGooVrq.s
        GNU C17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)
        	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7), GMP version 6.2.1, MPFR version 4.2.0-p12, MPC version 1.3.1, isl version isl-0.24-GMP
        
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-redhat-linux/13/include
         /usr/local/include
         /usr/include
        End of search list.
        Compiler executable checksum: e29a759f39551af55ebc173a83d6fd89
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/'
         as -v --64 -o CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o /tmp/ccGooVrq.s
        GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.'
        Linking C executable cmTC_f7126
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_f7126.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -v CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -o cmTC_f7126 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/cc
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f7126' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f7126.'
         /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/cco9MBxC.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f7126 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f7126' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f7126.'
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/13/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/gcc/x86_64-redhat-linux/13/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_f7126/fast]
        ignore line: [/usr/bin/gmake  -f CMakeFiles/cmTC_f7126.dir/build.make CMakeFiles/cmTC_f7126.dir/build]
        ignore line: [gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2Z13Xz']
        ignore line: [Building C object CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o]
        ignore line: [/home/shlomif/bin/cc   -v -o CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake/Modules/CMakeCCompilerABI.c]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/cc1 -quiet -v /usr/share/cmake/Modules/CMakeCCompilerABI.c -quiet -dumpdir CMakeFiles/cmTC_1a126.dir/ -dumpbase CMakeCCompilerABI.c.c -dumpbase-ext .c -mtune=generic -march=x86-64 -version -fdiagnostics-color=always -o /tmp/ccGooVrq.s]
        ignore line: [GNU C17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7)  GMP version 6.2.1  MPFR version 4.2.0-p12  MPC version 1.3.1  isl version isl-0.24-GMP]
        ignore line: []
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: e29a759f39551af55ebc173a83d6fd89]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/']
        ignore line: [ as -v --64 -o CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o /tmp/ccGooVrq.s]
        ignore line: [GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-fdiagnostics-color=always' '-v' '-c' '-o' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.o' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_1a126.dir/CMakeCCompilerABI.c.']
        ignore line: [Linking C executable cmTC_f7126]
        ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_f7126.dir/link.txt --verbose=1]
        ignore line: [/home/shlomif/bin/cc  -v CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -o cmTC_f7126 ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/cc]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_f7126' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_f7126.']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/cco9MBxC.res -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lgcc_s --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f7126 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o -lgcc --push-state --as-needed -lgcc_s --pop-state -lc -lgcc --push-state --as-needed -lgcc_s --pop-state /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/collect2] ==> ignore
          arg [-plugin] ==> ignore
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so] ==> ignore
          arg [-plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper] ==> ignore
          arg [-plugin-opt=-fresolution=/tmp/cco9MBxC.res] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_f7126] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/../lib64] ==> dir [/usr/lib/../lib64]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..]
          arg [CMakeFiles/cmTC_f7126.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--push-state] ==> ignore
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--pop-state] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> [/usr/lib64/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13] ==> [/usr/lib/gcc/x86_64-redhat-linux/13]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/../lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/usr/lib64/crt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/13;/usr/lib64;/lib64;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:57 (try_compile)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf"
    cmakeVariables:
      CMAKE_CXX_FLAGS: ""
      CMAKE_EXE_LINKER_FLAGS: ""
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_72818/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_72818.dir/build.make CMakeFiles/cmTC_72818.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf'
        Building CXX object CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o
        /home/shlomif/bin/c++   -v -o CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp
        Using built-in specs.
        COLLECT_GCC=/usr/bin/c++
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/'
         /usr/libexec/gcc/x86_64-redhat-linux/13/cc1plus -quiet -v -D_GNU_SOURCE /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpdir CMakeFiles/cmTC_a5e1e.dir/ -dumpbase CMakeCXXCompilerABI.cpp.cpp -dumpbase-ext .cpp -mtune=generic -march=x86-64 -version -o /tmp/ccqUJbJ2.s
        GNU C++17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)
        	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7), GMP version 6.2.1, MPFR version 4.2.0-p12, MPC version 1.3.1, isl version isl-0.24-GMP
        
        GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib64/giomm-2.4/include
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux
         /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward
         /usr/lib/gcc/x86_64-redhat-linux/13/include
         /usr/local/include
         /usr/include
        End of search list.
        Compiler executable checksum: 1597859996ad5af9a6269f983f6a2e78
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/'
         as -v --64 -o CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqUJbJ2.s
        GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:./:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.'
        Linking CXX executable cmTC_72818
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_72818.dir/link.txt --verbose=1
        /home/shlomif/bin/c++  -v CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_72818 
        Using built-in specs.
        COLLECT_GCC=/usr/bin/c++
        COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper
        OFFLOAD_TARGET_NAMES=nvptx-none
        OFFLOAD_TARGET_DEFAULT=1
        Target: x86_64-redhat-linux
        Configured with: ../configure --enable-bootstrap --enable-languages=c,c++,fortran,objc,obj-c++,ada,go,d,m2,lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1
        Thread model: posix
        Supported LTO compression algorithms: zlib zstd
        gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) 
        COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/
        LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_72818' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_72818.'
         /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/ccETY2gp.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_72818 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o
        COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_72818' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_72818.'
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf'
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:127 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed CXX implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib64/giomm-2.4/include]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward]
          add: [/usr/lib/gcc/x86_64-redhat-linux/13/include]
          add: [/usr/local/include]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib64/giomm-2.4/include] ==> [/usr/lib64/giomm-2.4/include]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13] ==> [/usr/include/c++/13]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux] ==> [/usr/include/c++/13/x86_64-redhat-linux]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward] ==> [/usr/include/c++/13/backward]
        collapse include dir [/usr/lib/gcc/x86_64-redhat-linux/13/include] ==> [/usr/lib/gcc/x86_64-redhat-linux/13/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib64/giomm-2.4/include;/usr/include/c++/13;/usr/include/c++/13/x86_64-redhat-linux;/usr/include/c++/13/backward;/usr/lib/gcc/x86_64-redhat-linux/13/include;/usr/local/include;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CMakeDetermineCompilerABI.cmake:152 (message)"
      - "/usr/share/cmake/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:2 (PROJECT)"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        ignore line: [Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_72818/fast]
        ignore line: [/usr/bin/gmake  -f CMakeFiles/cmTC_72818.dir/build.make CMakeFiles/cmTC_72818.dir/build]
        ignore line: [gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-2PQvzf']
        ignore line: [Building CXX object CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o]
        ignore line: [/home/shlomif/bin/c++   -v -o CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/c++]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/']
        ignore line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/cc1plus -quiet -v -D_GNU_SOURCE /usr/share/cmake/Modules/CMakeCXXCompilerABI.cpp -quiet -dumpdir CMakeFiles/cmTC_a5e1e.dir/ -dumpbase CMakeCXXCompilerABI.cpp.cpp -dumpbase-ext .cpp -mtune=generic -march=x86-64 -version -o /tmp/ccqUJbJ2.s]
        ignore line: [GNU C++17 (GCC) version 13.2.1 20240316 (Red Hat 13.2.1-7) (x86_64-redhat-linux)]
        ignore line: [	compiled by GNU C version 13.2.1 20240316 (Red Hat 13.2.1-7)  GMP version 6.2.1  MPFR version 4.2.0-p12  MPC version 1.3.1  isl version isl-0.24-GMP]
        ignore line: []
        ignore line: [GGC heuristics: --param ggc-min-expand=100 --param ggc-min-heapsize=131072]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/include-fixed"]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-redhat-linux/13/../../../../x86_64-redhat-linux/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib64/giomm-2.4/include]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/x86_64-redhat-linux]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/../../../../include/c++/13/backward]
        ignore line: [ /usr/lib/gcc/x86_64-redhat-linux/13/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [Compiler executable checksum: 1597859996ad5af9a6269f983f6a2e78]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/']
        ignore line: [ as -v --64 -o CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o /tmp/ccqUJbJ2.s]
        ignore line: [GNU assembler version 2.40 (x86_64-redhat-linux) using BFD version version 2.40-14.fc39]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:./:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-c' '-o' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.o' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'CMakeFiles/cmTC_a5e1e.dir/CMakeCXXCompilerABI.cpp.']
        ignore line: [Linking CXX executable cmTC_72818]
        ignore line: [/usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_72818.dir/link.txt --verbose=1]
        ignore line: [/home/shlomif/bin/c++  -v CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_72818 ]
        ignore line: [Using built-in specs.]
        ignore line: [COLLECT_GCC=/usr/bin/c++]
        ignore line: [COLLECT_LTO_WRAPPER=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper]
        ignore line: [OFFLOAD_TARGET_NAMES=nvptx-none]
        ignore line: [OFFLOAD_TARGET_DEFAULT=1]
        ignore line: [Target: x86_64-redhat-linux]
        ignore line: [Configured with: ../configure --enable-bootstrap --enable-languages=c c++ fortran objc obj-c++ ada go d m2 lto --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-shared --enable-threads=posix --enable-checking=release --enable-multilib --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-linker-build-id --with-gcc-major-version-only --enable-libstdcxx-backtrace --with-libstdcxx-zoneinfo=/usr/share/zoneinfo --with-linker-hash-style=gnu --enable-plugin --enable-initfini-array --with-isl=/builddir/build/BUILD/gcc-13.2.1-20240316/obj-x86_64-redhat-linux/isl-install --enable-offload-targets=nvptx-none --without-cuda-driver --enable-offload-defaulted --enable-gnu-indirect-function --enable-cet --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux --with-build-config=bootstrap-lto --enable-link-serialization=1]
        ignore line: [Thread model: posix]
        ignore line: [Supported LTO compression algorithms: zlib zstd]
        ignore line: [gcc version 13.2.1 20240316 (Red Hat 13.2.1-7) (GCC) ]
        ignore line: [COMPILER_PATH=/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/13/:/usr/libexec/gcc/x86_64-redhat-linux/:/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/]
        ignore line: [LIBRARY_PATH=/usr/lib/gcc/x86_64-redhat-linux/13/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/:/lib/../lib64/:/usr/lib/../lib64/:/usr/lib/gcc/x86_64-redhat-linux/13/../../../:/lib/:/usr/lib/]
        ignore line: [COLLECT_GCC_OPTIONS='-v' '-o' 'cmTC_72818' '-shared-libgcc' '-mtune=generic' '-march=x86-64' '-dumpdir' 'cmTC_72818.']
        link line: [ /usr/libexec/gcc/x86_64-redhat-linux/13/collect2 -plugin /usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so -plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper -plugin-opt=-fresolution=/tmp/ccETY2gp.res -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc -plugin-opt=-pass-through=-lc -plugin-opt=-pass-through=-lgcc_s -plugin-opt=-pass-through=-lgcc --build-id --no-add-needed --eh-frame-hdr --hash-style=gnu -m elf_x86_64 -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_72818 /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o /usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o -L/usr/lib/gcc/x86_64-redhat-linux/13 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64 -L/lib/../lib64 -L/usr/lib/../lib64 -L/usr/lib/gcc/x86_64-redhat-linux/13/../../.. CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-redhat-linux/13/crtend.o /usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/collect2] ==> ignore
          arg [-plugin] ==> ignore
          arg [/usr/libexec/gcc/x86_64-redhat-linux/13/liblto_plugin.so] ==> ignore
          arg [-plugin-opt=/usr/libexec/gcc/x86_64-redhat-linux/13/lto-wrapper] ==> ignore
          arg [-plugin-opt=-fresolution=/tmp/ccETY2gp.res] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [-plugin-opt=-pass-through=-lc] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc_s] ==> ignore
          arg [-plugin-opt=-pass-through=-lgcc] ==> ignore
          arg [--build-id] ==> ignore
          arg [--no-add-needed] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_72818] ==> ignore
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/../lib64] ==> dir [/usr/lib/../lib64]
          arg [-L/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..]
          arg [CMakeFiles/cmTC_72818.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
          arg [-lstdc++] ==> lib [stdc++]
          arg [-lm] ==> lib [m]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [-lc] ==> lib [c]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o]
          arg [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crt1.o] ==> [/usr/lib64/crt1.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crti.o] ==> [/usr/lib64/crti.o]
        collapse obj [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64/crtn.o] ==> [/usr/lib64/crtn.o]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13] ==> [/usr/lib/gcc/x86_64-redhat-linux/13]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/../lib64] ==> [/usr/lib64]
        collapse library dir [/usr/lib/gcc/x86_64-redhat-linux/13/../../..] ==> [/usr/lib]
        implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
        implicit objs: [/usr/lib64/crt1.o;/usr/lib64/crti.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtbegin.o;/usr/lib/gcc/x86_64-redhat-linux/13/crtend.o;/usr/lib64/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-redhat-linux/13;/usr/lib64;/lib64;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_1"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_1"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_3dc17/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_3dc17.dir/build.make CMakeFiles/cmTC_3dc17.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s'
        Building C object CMakeFiles/cmTC_3dc17.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_1  -std=gnu11    -fvisibility=hidden -o CMakeFiles/cmTC_3dc17.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s/src.c
        Linking C executable cmTC_3dc17
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_3dc17.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_3dc17.dir/src.c.o -o cmTC_3dc17 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-Myev2s'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_2"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_2"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_22eb4/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_22eb4.dir/build.make CMakeFiles/cmTC_22eb4.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7'
        Building C object CMakeFiles/cmTC_22eb4.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_2  -std=gnu11    -march=native -o CMakeFiles/cmTC_22eb4.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7/src.c
        Linking C executable cmTC_22eb4
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_22eb4.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_22eb4.dir/src.c.o -o cmTC_22eb4 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-ueiDP7'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:297 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_3"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_3"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_38c7d/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_38c7d.dir/build.make CMakeFiles/cmTC_38c7d.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH'
        Building C object CMakeFiles/cmTC_38c7d.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_3  -std=gnu11    -fomit-frame-pointer -o CMakeFiles/cmTC_38c7d.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH/src.c
        Linking C executable cmTC_38c7d
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_38c7d.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_38c7d.dir/src.c.o -o cmTC_38c7d 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-XzSzTH'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/Internal/CheckSourceCompiles.cmake:101 (try_compile)"
      - "/usr/share/cmake/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake/Modules/CheckCCompilerFlag.cmake:51 (cmake_check_compiler_flag)"
      - "cmake/Shlomif_Common.cmake:308 (CHECK_C_COMPILER_FLAG)"
      - "CMakeLists.txt:134 (SHLOMIF_FINALIZE_FLAGS)"
    checks:
      - "Performing Test FLAG_EXISTS_4"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "FLAG_EXISTS_4"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_4965b/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_4965b.dir/build.make CMakeFiles/cmTC_4965b.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0'
        Building C object CMakeFiles/cmTC_4965b.dir/src.c.o
        /home/shlomif/bin/cc -DFLAG_EXISTS_4  -std=gnu11    -fwhole-program -o CMakeFiles/cmTC_4965b.dir/src.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0/src.c
        Linking C executable cmTC_4965b
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_4965b.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_4965b.dir/src.c.o -o cmTC_4965b 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-VmgQm0'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:250 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for sys/types.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_SYS_TYPES_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_ae453/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_ae453.dir/build.make CMakeFiles/cmTC_ae453.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn'
        Building C object CMakeFiles/cmTC_ae453.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_ae453.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn/CheckIncludeFile.c
        Linking C executable cmTC_ae453
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_ae453.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_ae453.dir/CheckIncludeFile.c.o -o cmTC_ae453 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-G1AxWn'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:251 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for stdint.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_STDINT_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_30483/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_30483.dir/build.make CMakeFiles/cmTC_30483.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS'
        Building C object CMakeFiles/cmTC_30483.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_30483.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS/CheckIncludeFile.c
        Linking C executable cmTC_30483
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_30483.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_30483.dir/CheckIncludeFile.c.o -o cmTC_30483 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-RcmVJS'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckIncludeFile.cmake:90 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:252 (check_include_file)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Looking for stddef.h"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_STDDEF_H"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_e60c4/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_e60c4.dir/build.make CMakeFiles/cmTC_e60c4.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ'
        Building C object CMakeFiles/cmTC_e60c4.dir/CheckIncludeFile.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_e60c4.dir/CheckIncludeFile.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ/CheckIncludeFile.c
        Linking C executable cmTC_e60c4
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_e60c4.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_e60c4.dir/CheckIncludeFile.c.o -o cmTC_e60c4 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-nDVMqJ'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:146 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:271 (__check_type_size_impl)"
      - "CMakeLists.txt:282 (CHECK_TYPE_SIZE)"
    checks:
      - "Check size of int"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_INT_SIZE_IN_BYTES"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_1b95c/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_1b95c.dir/build.make CMakeFiles/cmTC_1b95c.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j'
        Building C object CMakeFiles/cmTC_1b95c.dir/INT_SIZE_IN_BYTES.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_1b95c.dir/INT_SIZE_IN_BYTES.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j/INT_SIZE_IN_BYTES.c
        Linking C executable cmTC_1b95c
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_1b95c.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_1b95c.dir/INT_SIZE_IN_BYTES.c.o -o cmTC_1b95c 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-3VOf4j'
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:146 (try_compile)"
      - "/usr/share/cmake/Modules/CheckTypeSize.cmake:271 (__check_type_size_impl)"
      - "CMakeLists.txt:283 (CHECK_TYPE_SIZE)"
    checks:
      - "Check size of void*"
    directories:
      source: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL"
      binary: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL"
    cmakeVariables:
      CMAKE_C_FLAGS: " -std=gnu11"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/c-solver/cmake"
    buildResult:
      variable: "HAVE_SIZEOF_VOID_P"
      cached: true
      stdout: |
        Change Dir: '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL'
        
        Run Build Command(s): /usr/bin/cmake -E env VERBOSE=1 /usr/bin/gmake -f Makefile cmTC_28c88/fast
        /usr/bin/gmake  -f CMakeFiles/cmTC_28c88.dir/build.make CMakeFiles/cmTC_28c88.dir/build
        gmake[1]: Entering directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL'
        Building C object CMakeFiles/cmTC_28c88.dir/SIZEOF_VOID_P.c.o
        /home/shlomif/bin/cc   -std=gnu11  -o CMakeFiles/cmTC_28c88.dir/SIZEOF_VOID_P.c.o -c /home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL/SIZEOF_VOID_P.c
        Linking C executable cmTC_28c88
        /usr/bin/cmake -E cmake_link_script CMakeFiles/cmTC_28c88.dir/link.txt --verbose=1
        /home/shlomif/bin/cc  -std=gnu11  CMakeFiles/cmTC_28c88.dir/SIZEOF_VOID_P.c.o -o cmTC_28c88 
        gmake[1]: Leaving directory '/home/shlomif/progs/games/black-hole-solitaire/trunk/black-hole-solitaire/B/CMakeFiles/CMakeScratch/TryCompile-rX5TUL'
        
      exitCode: 0
...
